ApiRangerReplicationHdfsToS3Args (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiRangerReplicationHdfsToS3Args

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiRangerReplicationHdfsToS3Args

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiRangerReplicationHdfsToS3Args
      extends Object

  Arguments for transforming HDFS Ranger service policies to Amazon S3 policies. <p> Note that it's relevant only if any of the Ranger services to be replicated contain HDFS Ranger service type and replication will be done from on-prem to S3.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRangerReplicationHdfsToS3Args()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getS3BucketName()` Amazon S3 bucket name for Ranger HDFS policies which need to be transformed to S3 policy.
    `int` | `hashCode()`
    `ApiRangerReplicationHdfsToS3Args` | `s3BucketName(String s3BucketName)`
    `void` | `setS3BucketName(String s3BucketName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRangerReplicationHdfsToS3Args

          public ApiRangerReplicationHdfsToS3Args()

  - ### Method Detail

    - #### s3BucketName

          public ApiRangerReplicationHdfsToS3Args s3BucketName(String s3BucketName)

    - #### getS3BucketName

          public String getS3BucketName()

      Amazon S3 bucket name for Ranger HDFS policies which need to be transformed to S3 policy.
      Returns:
        s3BucketName

    - #### setS3BucketName

          public void setS3BucketName(String s3BucketName)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.